2009-11-20  Chris Toshok  <toshok@ximian.com>

	* GlobalInfo.cs: add "GenerateManagedEventField" to the known
	annotations for events.  I could have sworn I already did this...
	
2009-11-20  Sebastien Pouliot  <sebastien@ximian.com>

	* Generator.cs: Generate EventIds and Events as static types.
	* ParameterInfo.cs: Marshal bool* correctly (just like bool)

2009-11-19  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* Generator.cs: Added special case for managedtypeinfo.h

2009-11-17  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* Generator.cs: Update according to Type ctor changes.

	r: toshok

2009-11-09  Chris Toshok  <toshok@ximian.com>

	* FieldInfo.cs: add GenerateManagedEventField to determine if we
	output the static RoutedEvent field (default = false).

	* Generator.cs (GenerateManagedEvents): if the event is marked as
	GenerateManagedEventField=true, output the static field.  Also,
	add it to an autogenerated method for creating a dispatcher from
	the event id (Events.CreateDispatcherFromEventId).

	r: rolf

2009-11-05  Alan McGovern  <amcgovern@novell.com>

	* TypeReference.cs: Templates must be expanded as part of the
	  first step of Measure. To support this, remove the old
	  ApplyTemplateHook managed path and refactor the
	  GetTemplateRoot managed path into a more generic
	  GetDefaultTemplate method. Whenever native code needs to get
	  a default template from managed, this is invoked to retrieve
	  it. ApplyTemplate and OnApplyTemplate have been moved to
	  FrameworkElement itself to simplify the code required to
	  support templateable framework elements (ItemsPresenter for
	  example). r: toshok

2009-11-02  Alan McGovern  <amcgovern@novell.com>

	* TypeReference.cs: regen. r: rolf

2009-10-20  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* Generator.cs: Make the API update correct.

	r: alan

2009-10-20  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* Generator.cs: Update according to API changes in the plugin.

	r: spouliot

2009-10-01  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* Generator.cs: Fix to handle const fields.

	r: alan

2009-09-23  Chris Toshok  <toshok@ximian.com>

	* Generator.cs, FieldInfo.cs, GlobalInfo.cs: add event support.

	r: spouliot, andriea

2009-08-12  Alan McGovern  <amcgovern@novell.com>

	* TypeReference.cs: update generator to cope with new
	  callback. r: toshok

2009-08-06  Jackson Harper  <jackson@ximian.com>

	* Generator.cs: Add function for excluding files.  For now we
	exclude cbinding.h and ptr.h.

2009-07-02  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* TypeReference.cs: Updated according to downloader API changes.

2009-07-01  Chris Toshok  <toshok@ximian.com>

	* Generator.cs (GenerateTypeStaticCpp): emit plugin headers too.

2009-06-24  Chris Toshok  <toshok@ximian.com>

	* Generator.cs: remove the explicit specification of
	FontWeight/Stretch/Style TypeInfos, since they're created
	automatically from the structs now.

	* FieldInfo.cs (DPPropertyType): remove the mapping of
	FontWeight/Stretch/Style to their unmanaged enums.

2009-06-19  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* Generator.cs: Fix JSBinding generation.

2009-06-17  Alan McGovern  <amcgovern@novell.com>

	* Generator.cs: Add a missing semicolon.

2009-06-15  Andreia Gaita  <avidigal@novell.com>

	* Generator.cs: Use CreateUnrefPtr for DP registration when default
	values are new object instances

2009-06-02  Alan McGovern  <amcgovern@novell.com>

	* TypeInfo.cs: ValueTypes should have TypeInfo.DefaultCtorVisible set
	to true. Fixes a few regressions.

2009-06-01  Chris Toshok  <toshok@ximian.com>

	* Generator.cs (GenerateTypeStaticCpp): add the
	TypeInfo.DefaultCtorVisible flag to our output.

	* TypeInfo.cs: add TypeInfo.DefaultCtorVisible property.

2009-05-28  Jeffrey Stedfast  <fejj@novell.com>

	* Generator.cs: Modified to get rid of gcc compiler warnings for
	plugin-class.g.cpp

2009-05-27  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* TypeReference.cs: Updated according to downloader API changes.

2009-05-25  Alan McGovern  <amcgovern@novell.com>

	* FieldInfo.cs:
	* Generator.cs:
	* GlobalInfo.cs: Rename 'SetsParent' to 'IsCustom' as all custom
	properties are non-parenting.

2009-05-21  Alan McGovern  <amcgovern@novell.com>

	* FieldInfo.cs:
	* Generator.cs:
	* GlobalInfo.cs: Add the ability to specify that a DP does
	not set parent on DO objects.
	
2009-05-20  Alan McGovern  <amcgovern@novell.com>

	* Generator.cs: Register 'float' as a known type

2009-05-20  Chris Toshok  <toshok@ximian.com>

	* TypeInfo.cs: add support for interfaces, and also the ability to
	flag a TypeInfo as being an interface.

	* Generator.cs (global): change all the type-generated.cpp
	registration code to deal with the new Type ctor, as well as the
	fact that we need to track interfaces implemented by the types.
	(GetTypes2): gross change, but register all -- most of -- the
	built in types' interfaces, and associate them with the given
	TypeInfo.

2009-05-19  Rolf Bjarne Kvinge  <rkvinge@novell.com>

	* Generator.cs: Include enums.h in the cbindings.
	It's a c safe header (no C++), and it makes it easier
	to properly generate c methods which uses enums.

2009-05-19  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* Generator.cs:
	* FieldInfo.cs: Don't throw away annotations on enums,
	and store the enum value (if any) properly.

2009-05-18  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* Generator.cs: 
	* GlobalInfo.cs:
	* MemberInfo.cs:
	* MethodInfo.cs:
	* ParameterInfo.cs:
	* SignatureType.cs:
	* TypeReference.cs: Don't include C++ headers in cbinding.h.

2009-05-16  Alan McGovern  <amcgovern@novell.com>

	* TypeReference.cs: Add type converting to ObjectKeyFrame. The
	  conversion is done during the Resolve phase. If the type
	  conversion can't be completed an exception is thrown.

2009-05-18  Chris Toshok  <toshok@ximian.com>

	* Generator.cs (GenerateDPs): is_nullable => is_full.  this was
	causing all animation properties (and a few others) to show up as
	non-nullable.  Fixes drt #113 and #114.

2009-05-14  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* Generator.cs: Allow arrays with constant size in
	parameters.

2009-05-09  Andreia Gaita  <avidigal@novell.com>

	* Generator.cs: Add GenerateJSBindings.
	Generates plugin-class.h and plugin-class.g.cpp

	* GlobalInfo.cs: Add JSMethodsToBind.
	Returns all entries marked with GenerateJSBinding annotation

	* MethodInfo.cs: Add ToString helper method.

	* TypeReference.cs: Add GetNPType helper method.
	Returns the NP type, to help generate argument checking code.

2009-05-03  Chris Toshok  <toshok@ximian.com>

	* TypeReference.cs:
	s/NativePropertyChangeHandler/UnmanagedPropertyChangeHandler.

2009-05-01  Larry Ewing  <lewing@novell.com>

	* Generator.cs: Generate the As* accessors with a default
	argument.
	
2009-04-28  Geoff Norton  <gnorton@novell.com>

	* Generator.cs: Modify the default IntPtr ctor to denote 
	wether we've being created in managed and need to retain a ref
	or not.

2009-04-14  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* Generator.cs:
	* ParameterInfo.cs: Add support for specifying @MarshalAs,
	  IsRef and IsOut on parameters. Marshal gbooleans better.
	  Don't handle Surface* parameters automatically.

	* TypeReference.cs: Added a bunch of new types.

2009-04-13  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* generators.mdp: Add a project for each tool, and clean up
	  some of the existing projects.

2009-04-03  Alan McGovern  <amcgovern@novell.com>

	* README:
	* FieldInfo.cs:
	* Generator.cs:
	* GlobalInfo.cs: Add the ability to skip generation of managed
	  accessors for a specific DP.

2009-03-30  Chris Toshok  <toshok@ximian.com>

	* TypeReference.cs (GetManagedType): add all the downloader
	delegate types here.

	* MethodInfo.cs (CMethod): skip the this parameter if there's no
	Parent.Name (i.e. we're decorating a C function instead of a C++
	method)

2009-03-29  Geoff Norton  <gnorton@novell.com>

	* FieldInfo.cs: PixelFormat is another enum as a structure as a class
	field like FontWeight.  Support the necessary mapping here

2009-03-29  Chris Toshok  <toshok@ximian.com>

	* Generator.cs: use the new AutoCreator functionality to generate
	the proper DP::RegisterFull call.  If there's a '::' in the
	autocreator name we just emit it.  If there isn't a '::', we
	prepend "AutoCreators::" onto the method name.

	* FieldInfo.cs: IsDPAutoCreateValue -> DPAutoCreator, and it now
	returns a string method name instead of a bool.
	
2009-03-25  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* Generator.cs: Implement/fix cbinding generation for plugin.

2009-03-13  Chris Toshok  <toshok@ximian.com>

	* Generator.cs: add FONTWEIGHT, FONTSTYLE, and CURSOR.

2009-03-06  Andreia Gaita  <avidigal@novell.com>

	* TypeReference.cs: Add toggleref handler

2009-03-02  Andreia Gaita  <avidigal@novell.com>

	* Generator.cs: Fix parsing

2009-02-22  Geoff Norton  <gnorton@novell.com>

	* Generator.cs: Don't free constant values.

2009-02-18  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* TypeReference.cs: Add more pinvokable types.

2009-02-17  Atsushi Enomoto  <atsushi@ximian.com>

	* README: update usage.

2009-02-16  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* TypeReference.cs: Add a few more cases here.

	* Generator.cs: Skip any line starting with EVENTHANDLER.

2009-02-13  Jeffrey Stedfast  <fejj@novell.com>

	* Generator.cs: Revert previous change, we'll just manually bind
	these types of properties.

2009-02-13  Jeffrey Stedfast  <fejj@novell.com>

	* Generator.cs: Add logic for ReadOnlyCollection property
	accessors.

2009-02-11  Chris Toshok  <toshok@ximian.com>

	* Generator.cs: add topological sorting of types based on
	properties, so we can clean up things like Inline's default value
	depending on SolidColorBrush's initialization.

	* GlobalInfo.cs: no need to pass a GlobalInfo to an instance
	method.

	* TypeInfo.cs: add the ability to look up properties of a type.

2009-02-11  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* GlobalInfo.cs: Quiet a warning.

2009-02-11  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* Generator.cs: Make DP backing fields const.

2009-02-11  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* Generator.cs:
	* GlobalInfo.cs: Modify generation of native DPs to match new
	  design.

2009-02-10  Jeffrey Stedfast  <fejj@novell.com>

	* Generator.cs: Respect the new AutoCreateValue attribute.

	* FieldInfo.cs: Added IsDPAutoCreateValue property.

	* GlobalInfo.cs: Added AutoCreateValue attribute.

2009-02-10  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* Generator.cs: Modified to match Type and DP changes.

2009-02-10  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* Generator.cs: Temporary fix for > 1 xap per process: don't
	  check if DPs have been created before recreating them.

2009-02-09  Jeffrey Stedfast  <fejj@novell.com>

	* Generator.cs: Autogenerate code to protect against
	re-initializing static dependency properties.

2009-02-05  Jb Evain  <jbevain@novell.com>

	* Generator.cs: generate a mapping from
	System.Windows.PropertyPath to PROPERTYPATH.

2009-02-03  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* Generator.cs: Fix generator to handle more code.

2009-02-03  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* Generator.cs: Change static type and dp generation to be
	  per-deployment.

2009-02-02  Chris Toshok  <toshok@ximian.com>

	* Generator.cs: generate the [ContentProperty] attribute in
	DependencyObject.g.cs

2009-02-02  Stephane Delcroix  <sdelcroix@novell.com>

	* Generator.cs: generate a mapping from
	System.Windows.Point to POINT

2009-01-29  Jackson Harper  <jackson@ximian.com>

	* TypeInfo.cs: Add a new ctor that takes an IsValueType flag
	* Generator.cs: The primitive types are value types.

2009-01-29  Stephane Delcroix  <sdelcroix@novell.com>

	* TypeReference.cs: add "long" as known type.

2009-01-28  Chris Toshok  <toshok@ximian.com>

	* Generator.cs: generate a mapping from
	System.Windows.CornerRadius to CORNERRADIUS.

2009-01-28  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* Generator.cs: Don't include FontFamily manually, we define the type
	now.

2009-01-27  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* Generator.cs:
	* MemberInfo.cs: Include all types derived from EventObject in the type
	system and remove the IncludeInKinds annotations from those classes.

2009-01-25  Chris Toshok  <toshok@ximian.com>

	* Generator.cs: don't output the GetKind methods in
	DependencyObject.g.cs, and also make Types.g.cs not static.  Also,
	remove the additional_types handling, since we don't need to pass
	that anymore.

2009-01-21  Jackson Harper  <jackson@ximian.com>

	* Generator.cs: Add some managed types.

2009-01-20  Chris Toshok  <toshok@ximian.com>

	* Generator.cs (GenerateTypes_G): explicitly output the mapping
	between System.Windows.Application and Kind.APPLICATION.

	* TypeReference.cs: add the new application style delegate types.

2009-01-20  Jackson Harper  <jackson@ximian.com>

	* Generator.cs: TimeSpan isn't a struct, so it still needs to be
	registered manually.

2009-01-19  Jackson Harper  <jackson@ximian.com>

	* Generator.cs: Register ManagedTypes for non DO types also.

2009-01-19  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* Generator.cs: Scan source files in plugin/ too, and fix issues this
	raised.

2009-01-19  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* Generator.cs:
	* Tokenizer.cs: When scanning headers in src/ scan src/asf/ too. Add
	support for 'unsigned X' types (used in src/asf/).

2009-01-15  Sebastien Pouliot  <sebastien@ximian.com>

	* Generator.cs: Always specify the type when registring a DP. 
	Otherwise a default value of "new MatrixTransform ()" would register
	the implied MATRIX_TRANSFORM for the type instead of the *specified*
	TRANSFORM

2009-01-15  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* Generator.cs: Added support for adding GeneratePInvoke to normal C
	methods.

2009-01-15  Rolf Bjarne Kvinge  <RKvinge@novell.com>

	* Generator.cs: Updated since Type has a new field now.

2009-01-14  Sebastien Pouliot  <sebastien@ximian.com>

	* Generator.cs: Make sure we're freeing all the unmanaged string
	return values that we *copy* using Marshal.PtrToStringAnsi

2009-01-13  Jb Evain  <jbevain@novell.com>

	* Generator.cs: remove references to Helper.Agclr.

2009-01-09  Chris Toshok  <toshok@ximian.com>

	* Generator.cs: hack to ignore "friend class Foo".

2009-01-09  Alan McGovern  <amcgovern@novell.com>

	* Generator.cs: Make it possible to use validators with Nullable
	properties.

2008-12-22  Sebastien Pouliot  <sebastien@ximian.com>

	* Generator.cs, ParameterInfo.cs: The 'bool' we expose in our C 
	API comes from C++ which use 1 byte for boolean. C# use 4 bytes so 
	the values needs to be marshalled.

2008-12-19  Chris Toshok  <toshok@ximian.com>

	* TypeReference.cs: get rid of the Unmanaged* struct types where
	we can.

	* Generator.cs: GeneratedPInvokes.cs requires using System.Windows
	now.
	
2008-12-18  Sebastien Pouliot  <sebastien@ximian.com>

	* Generator.cs: Change Kind enum visibility to internal when 
	building NET_2_1

2008-12-17  Chris Toshok  <toshok@ximian.com>

	* Generator.cs: s/Mono.Moonlight/System.Windows/ and make
	generated classes internal if they were public before.

2008-12-10  Alan McGovern  <amcgovern@novell.com>

	* Generator.cs: PasswordCharProperty should be a char. This is
	represented by an int32 in unmanaged code.

2008-11-28  Alan McGovern  <amcgovern@novell.com>

	* TypeReference.cs: DataBinding now works for one-way, one-time and
	two-way bindings with managed objects.

2008-11-27  Alan McGovern  <amcgovern@novell.com>

	* TypeReference.cs: Allow the Binding class to be mapped between managed
	and unmanaged code.

2008-11-25  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* Generator.cs: Add support for Point return types.

2008-11-18  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* MemberInfo.cs: Don't throw exceptions for duplicate types.

2008-10-14  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* Generator.cs: Teach functions with ... arguments to the parser.

2008-09-29  Jb Evain  <jbevain@novell.com>

	* Generator.cs: use Helper.Agclr instead of GetAgclr.

2008-09-17  Chris Toshok  <toshok@ximian.com>

	* Generator.cs (GenerateDPs): remove the #if SL_version/#endif
	from around the DependencyProperty static initializers.

2008-09-09  Chris Toshok  <toshok@ximian.com>

	* Generator.cs: autogenerate the OBJECT stuff.

2008-09-07  Chris Toshok  <toshok@ximian.com>

	* Generator.cs: add an OBJECT kind/type as the root of everything.
	INVALID is the parent class of OBJECT.

2008-09-06  Chris Toshok  <toshok@ximian.com>

	* Generator.cs: fix default values on attached properties.

2008-08-22  Chris Toshok  <toshok@ximian.com>

	* TypeReference.cs: add some type mappings for the Unmanaged
	Rect/Size/Point/Thickness/CornerRadius types, and also for the new
	Layout callbacks (ArrangeOverrideCallback,
	MeasureOverrideCallback).

2008-08-22  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* Generator.cs: Implemented calling Initialize in generated managed
	  ctors (by annotating the C++ type with 'CallInitializer').

2008-08-21  Chris Toshok  <toshok@ximian.com>

	* Generator.cs: generate nullable property setting code that
	resembles the old animation.cpp nullable prop code.
	SetValue (..., NULL) instead of SetValue (..., Value(NUNLL)).

2008-08-20  Chris Toshok  <toshok@ximian.com>

	* Generator.cs: compress down the C++ accessors a bit.

2008-08-20  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* Generator.cs: Surround C++ DP accessors in SL_<version> whenever
	  necessary. Fix usage of some typical PropertyTypes.

2008-08-20  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* Generator.cs, TypeInfo.cs: Add a * to the type name for C++ property
	  accessors.

2008-08-18  Jeffrey Stedfast  <fejj@novell.com>

	* TypeReference.cs: Added Size->UnmanagedSize mapping.

2008-08-15  Jeffrey Stedfast  <fejj@novell.com>

	* TypeReference.cs: Handle double* and TimeSpan.

2008-08-15  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* TypeReference.cs: Add knowledge about ManagedStreamCallbacks.

2008-08-14  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* GlobalInfo.cs: Add more known annotations.
	* Generator.cs, FieldInfo.cs: Add support for generating C++ DP
	  accessors.
	* TypeReference.cs: Include support for Type::Kind*, EventHandler and
	  gpointer.

2008-08-14  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* Property.cs, Annotation.cs: Rename Property.cs to Annotation.cs to
	  keep vocabulary consistent.

2008-08-13  Jackson Harper  <jackson@ximian.com>

	* Generator.cs: If a type is a struct, it's a ValueType.

2008-08-14  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* Generator.cs: Add some error checking to Types.g.cs.

2008-08-14  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* Generator.cs: Cast to double before casting to int for int/double
	  mismatches.

2008-08-13  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* Generator.cs: Add support for excluding single DPs from generation,
	  and special case int/double DP PropertyType mismatch between 1.0
	  and 2.0.

2008-08-13  Jackson Harper  <jackson@ximian.com>

	* README: Info on content properties.

2008-08-13  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* TypeReference.cs: Special case a lot less, treat generic pointers as
	  IntPtr.

2008-08-13  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* TypeReference.cs: Special case a bit more.

2008-08-13  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* Generator.cs: Don't generate property accessors for attached
	  properties.

2008-08-13  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* Generator.cs: Fix warnings.

2008-08-13  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* TypeReference.cs: Added a native StackPanel class and generate the
	  managed StackPanel.

2008-08-13  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* TypeInfo.cs: Added method for determining if type is abstract (i.e.
	  has any abstract members).
	* GlobalInfo.cs: Add more valid annotations for DPs.
	* Generator.cs: GenerateManagedDOs: Use the type's ManagedName instead
	  of Name.

2008-08-12  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* Generator.cs: Comment out two warnings until I've fixed them all.

2008-08-12  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* Generator.cs, MemberInfo.cs: Honor ManagedName, and fix
	  GenerateType_G.

2008-08-12  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* Generator.cs, GlobalInfo.cs, Helper.cs, README: Added support for
	  generating public ctor, internal ctor and GetKind for managed
	  classes inheriting from DependencyObject.

2008-08-12  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* GlobalInfo.cs, Helper.cs, Generator.cs, README, FieldInfo.cs:
	  Implement DP accessor generation.

2008-08-12  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* GlobalInfo.cs, MemberInfo.cs, Property.cs, Generator.cs, README,
	  MethodInfo.cs, TypeInfo.cs, FieldInfo.cs: Unify vocabulary: always
	  use 'annotations' instead of mixing 'annotations' and 'properties'.

2008-08-12  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* Generator.cs, TypeReference.cs: Put Value* special casing in a better
	  place (together with all the other special casing).

2008-08-12  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* FieldInfo.cs, Generator.cs, GlobalInfo.cs, Helper.cs, MemberInfo.cs,
	  README: Added support for generating managed DP registration.

2008-08-11  Chris Toshok  <toshok@ximian.com>

	* Generator.cs, TypeReference.cs: I know you're going to hate me,
	rolf :) but special case support for Value* in parameter lists,
	making it "ref Value" instead of the more common IntPtr.  Use
	IntPtr for the return type when a method returns Value*, though.

2008-08-11  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* FieldInfo.cs, Generator.cs, Helper.cs, MemberInfo.cs, TypeInfo.cs:
	  Surround 2.0 DP declarations in #if SL_2_0. Added support for 2.0
	  events.

2008-08-09  Jeffrey Stedfast  <fejj@novell.com>

	* ParameterInfo.cs: Beautify the output a bit.

	* Generator.cs: Beautify the autogenerated code a bit.

	* TypeReference.cs: Beautify the c-type.

2008-08-08  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* TODO: Added.

2008-08-08  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* README, HOWTO: Added documentation.

2008-08-08  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* typegen.cs, GlobalInfo.cs, Helper.cs, Log.cs, MemberInfo.cs,
	  Property.cs, Generator.cs, common.cs, MethodInfo.cs,
	  ParameterInfo.cs, TypeInfo.cs, FieldInfo.cs, TypeReference.cs,
	  SignatureType.cs, HeaderCollection.cs, Makefile, Tokenizer.cs:
	  Split out classes into separate files. Added support for generating
	  dependency property registration.

2008-08-07  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* typegen.cs, cgen.cs, typeandkindgen.cs, common.cs, Makefile, README,
	  methodgen.cs: Unify all generators into one. Make that one
	  generator parse the headers instead of string-search them, thereby
	  cutting generation time by a factor of 8-10. It also enables a lot
	  of other generation scenarios which will be a lot easier now.

2008-08-06  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* typegen.cs: Updated to cope with one more Type field.

2008-08-05  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* cgen.cs: Implement ctor (_new) and dtor (_free) generation.
	* common.cs: Handle a few more types, and parse ctors and dtors
	  correctly.
	* methodgen.cs: Automatically handle 'Types *additional_types'
	  parameters too.
	* typeandkindgen.cs, README: We're generating to Types.g.cs now instead
	  of Surface.g.cs.

2008-08-03  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* typegen.cs, cgen.cs, typeandkindgen.cs, common.cs, methodgen.cs:
	  Unify some code.
	* Makefile: typeandkind -> typeandkindgen.

2008-08-03  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* README: Fix typo.
	* typegen.cs: Remove slow no-op (DO_KINDS doesn't exist in value.h.in).

2008-08-03  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* cgen.cs: Add support for Version=2.0 properties in comments.
	* common.cs, methodgen.cs: Added support for MoonError* and Surface*.
	* README: Add idea.

2008-08-03  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* README: Added.
	* typeandkindgen.cs: Use logging methods instead of writing directly to
	  stdout.
	* Makefile: Execute typeandkind too in the default target.

2008-08-03  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* typeandkindgen.cs, Makefile: Added typeandkindgen: generates
	  Mono.Moonlight/Mono/Surface.g.cs (a dictionary of Type/Kind).

2008-08-02  Rolf Bjarne Kvinge <RKvinge@novell.com> 

	* cgen.cs, ChangeLog, common.cs, Makefile, methodgen.cs, typegen,
	  typegen.cs: Moved typegen to moon/generators, and add methodgen to
	  generate pinvokes, and cgen to generate c bindings.
